Bug 1579292 - installing nagios-plugins pulls in openssl
Summary: installing nagios-plugins pulls in openssl
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nagios-plugins
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Stephen John Smoogen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-17 10:12 UTC by Ruben Kerkhof
Modified: 2019-04-06 20:22 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-12-30 03:11:48 UTC


Attachments (Terms of Use)
confirmation that it IS nagios-plugins pulling openssl in (3.72 KB, text/plain)
2018-05-18 18:16 UTC, R P Herrold
no flags Details

Description Ruben Kerkhof 2018-05-17 10:12:19 UTC
Description of problem:

nagios-plugins has a Requires: openssl, but I don't see a reason it needs to require it.

Version-Release number of selected component (if applicable):

~ > rpm -q nagios-plugins
nagios-plugins-2.2.1-12.fc28.x86_64
~ > rpm -q --requires nagios-plugins | grep openssl
openssl

Comment 1 R P Herrold 2018-05-18 18:16 UTC
Created attachment 1438757 [details]
confirmation that it IS nagios-plugins pulling openssl in

Comment 2 R P Herrold 2018-05-18 18:17:48 UTC
The .spec file does not have a relevant manual call for openssl here

Clearly the effective dependency generation logic for rpmbuild decided to add it

Probably this bug needs to be moved to 'rpm'

Comment 3 Ruben Kerkhof 2018-05-18 19:31:23 UTC
(In reply to R P Herrold from comment #1)
> Created attachment 1438757 [details]
> confirmation that it IS nagios-plugins pulling openssl in

Uh yes I already demonstrated that above.

Comment 4 Ruben Kerkhof 2018-05-18 19:32:08 UTC
(In reply to R P Herrold from comment #2)
> The .spec file does not have a relevant manual call for openssl here

Look again, it's there on line 66:
Requires: openssl

> 
> Clearly the effective dependency generation logic for rpmbuild decided to
> add it

Clearly you're wrong.

> 
> Probably this bug needs to be moved to 'rpm'

Comment 5 Scott Wilkerson 2018-06-06 23:08:50 UTC
It is in the project requirements what plugins need it
https://github.com/nagios-plugins/nagios-plugins/blob/master/REQUIREMENTS

Comment 6 Ruben Kerkhof 2018-06-07 07:30:27 UTC
(In reply to Scott Wilkerson from comment #5)
> It is in the project requirements what plugins need it
> https://github.com/nagios-plugins/nagios-plugins/blob/master/REQUIREMENTS

Thanks, but none of these plugins are in the nagios-plugins package.

Comment 7 Stephen John Smoogen 2018-06-07 13:54:49 UTC
The confusion in this ticket seems to be that some people are talking about the src.rpm and spec file which is nagios-plugins and others are talking about the noarch stub package. 

The spec file has a Requires: openssl on line 66 which brings it into every stub package even if it does not need openssl. I think what Ruben is wanting is that instead of there it should only repeated for the various sub packages that require openssl. A patch for that would be helpful.

Comment 8 Ruben Kerkhof 2018-06-07 13:56:59 UTC
Stephen, it's not clear to me what you mean with stub package?

I was indeed talking about the nagios-plugins rpm and spec.

Comment 9 Ruben Kerkhof 2018-06-07 14:03:54 UTC
The strange thing is that if the requirements from comment #6 are correct the subpackages like nagios-plugins-ldap should BuildRequire openssl-devel, but they don't. 

I'll look into that and will try to come up with a patch.

Comment 10 Stephen John Smoogen 2018-06-07 23:21:35 UTC
I think a buildrequire usually at the top of the spec file versus in the sub-packages but you are right and an explicite openssl-devel would be useful. There was also a split after EL6 for openssl into more packages.

Comment 11 Fedora Update System 2018-07-25 21:35:10 UTC
nagios-plugins-2.2.1-14.20180725git3429dad.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-e9863b9c35

Comment 12 Fedora Update System 2018-07-25 22:24:07 UTC
nagios-plugins-2.2.1-14.20180725git3429dad.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-c191412de6

Comment 13 Fedora Update System 2018-07-25 22:24:50 UTC
nagios-plugins-2.2.1-14.20180725git3429dad.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-ef3a8e1152

Comment 14 Fedora Update System 2018-07-26 12:19:37 UTC
nagios-plugins-2.2.1-14.20180725git3429dad.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-ef3a8e1152

Comment 15 Fedora Update System 2018-07-26 14:51:38 UTC
nagios-plugins-2.2.1-14.20180725git3429dad.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-c191412de6

Comment 16 Fedora Update System 2018-07-26 16:28:42 UTC
nagios-plugins-2.2.1-14.20180725git3429dad.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-e9863b9c35

Comment 17 Jan Kurik 2018-08-14 11:22:51 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 18 Fedora Update System 2018-10-23 18:56:41 UTC
nagios-plugins-2.2.1-14.20180725git3429dad.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-a23e2a2eed

Comment 19 Fedora Update System 2018-10-25 21:17:13 UTC
nagios-plugins-2.2.1-14.20180725git3429dad.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-a23e2a2eed

Comment 20 Fedora Update System 2018-12-13 19:31:30 UTC
nagios-plugins-2.2.1-15.20180725git3429dad.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-732d31ad86

Comment 21 Fedora Update System 2018-12-30 03:11:48 UTC
nagios-plugins-2.2.1-15.20180725git3429dad.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2019-03-12 13:41:30 UTC
nagios-plugins-2.2.1-15.20180725git3429dad.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-7bf33722b6

Comment 23 Fedora Update System 2019-03-12 23:01:52 UTC
nagios-plugins-2.2.1-15.20180725git3429dad.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-7bf33722b6

Comment 24 Fedora Update System 2019-04-06 20:22:55 UTC
nagios-plugins-2.2.1-15.20180725git3429dad.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.